This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 811950 - [EAP6 Plug-in BETA] NoSuchMethodError PropertyDefinitionMap.getPropertyDefinitions()Ljava/util/List
[EAP6 Plug-in BETA] NoSuchMethodError PropertyDefinitionMap.getPropertyDefini...
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-12 07:32 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 10:02:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
stacktrace (1.91 KB, application/octet-stream)
2012-04-12 07:33 EDT, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-04-12 07:32:54 EDT
Description of problem:It is not possible to retrieve configuration for 
 - socket binding groups
 - standalone server, domain server
For managed servers and host controller it is possible to retrieve configuration, but adding a property results in below error. 

java.lang.NoSuchMethodError: org.rhq.core.domain.configuration.definition.PropertyDefinitionMap.getPropertyDefinitions()Ljava/util/List;

Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: bf8f49a:9fe6384
EAP6 ER4.1
jboss-as-7 from #1314

How reproducible:always


Steps to Reproduce:
Check, whether some configuration is shown and can be changed for:
1. standalone server - system properties
2. domain controller - system  properties
3. domain controller/master  (HC) - system  properties
4. domain controller/EAP server-one (ManagedServer) - system  properties
5. standalone or domain/socket-binding-group

  
Actual results: no configuration is shown, see stacktrace.log attachment

Expected results: configuration is shown


Additional info:
Comment 1 Libor Zoubek 2012-04-12 07:33:29 EDT
Created attachment 577043 [details]
stacktrace
Comment 2 Heiko W. Rupp 2012-04-12 09:08:11 EDT
That is an interesting one -- Jay added this method around March 24th to core/domain, so it is not in RHQ 4.3
Comment 4 Heiko W. Rupp 2012-05-15 10:02:17 EDT
Closing, as this works in RHQ 4.4 and also in the 3.1 stream

Note You need to log in before you can comment on or make changes to this bug.